Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.visualizers
Class GraphAccumModel

    java.lang.Object
      org.apache.jmeter.visualizers.GraphAccumModel

All Implemented Interfaces:
  Clearable, Serializable

public class GraphAccumModel
extends Object
implements Clearable, Serializable

The model that collects the average of the set of pages to be sampled.

See Also:
  Serialized Form

Field Summary
`protected long` | `averageSum`
`protected boolean` | `bigChange`
`protected long` | `counter`
`protected SampleResult` | `current`
`protected List` | `listeners`
`protected long` | `max`
`protected String` | `name`
`protected long` | `previous`
`protected List` | `samples`
`protected long` | `variationSum`

Constructor Summary
`GraphAccumModel()` Constructor.

Method Summary
`void` | `addGraphAccumListener(GraphAccumListener listener)` Adds a feature to the ModelListener attribute of the GraphAccumModel object.
`void` | `addNewSample(SampleResult res)` Add the new sample to the results.
`void` | `clearData()` Clear the results.
`protected void` | `fireDataChanged()` Depending on whether the graph needs to be rescale call the appropriate methods.
`List` | `getList()` Gets the List attribute of the GraphAccumModel object.
`long` | `getMax()` Gets the Max attribute of the GraphAccumModel object.
`String` | `getName()` Gets the Name attribute of the GraphModel object.
`int` | `getSampleCount()` Gets the SampleCount attribute of the GraphAccumModel object.
`protected void` | `quickUpdate(SampleResult s)` The sample to be added did not exceed the current set of samples so do not need to rescale graph.
`void` | `setName(String name)` Sets the Name attribute of the GraphModel object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected String name

### samples

    protected List samples

### listeners

    protected List listeners

### averageSum

    protected long averageSum

### variationSum

    protected long variationSum

### counter

    protected long counter

### previous

    protected long previous

### max

    protected long max

### bigChange

    protected boolean bigChange

### current

    protected SampleResult current

Constructor Detail

### GraphAccumModel

    public GraphAccumModel()

  Constructor.

Method Detail

### setName

    public void setName(String name)

  Sets the Name attribute of the GraphModel object.

  Parameters:
    `name` - the new Name value

### getSampleCount

    public int getSampleCount()

  Gets the SampleCount attribute of the GraphAccumModel object.

  Returns:
    the SampleCount value

### getList

    public List getList()

  Gets the List attribute of the GraphAccumModel object.

  Returns:
    the List value

### getName

    public String getName()

  Gets the Name attribute of the GraphModel object.

  Returns:
    the Name value

### getMax

    public long getMax()

  Gets the Max attribute of the GraphAccumModel object.

  Returns:
    the Max value

### addGraphAccumListener

    public void addGraphAccumListener(GraphAccumListener listener)

  Adds a feature to the ModelListener attribute of the GraphAccumModel object.

  Parameters:
    `listener` - the feature to be added to the GraphAccumListener attribute.

### clearData

    public void clearData()

  Clear the results.

  Specified by:
    `clearData` in interface `Clearable`

### addNewSample

    public void addNewSample(SampleResult res)

  Add the new sample to the results.

  Parameters:
    `res` - sample containing the results

### fireDataChanged

    protected void fireDataChanged()

  Depending on whether the graph needs to be rescale call the appropriate methods.

### quickUpdate

    protected void quickUpdate(SampleResult s)

  The sample to be added did not exceed the current set of samples so do not need to rescale graph.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.